<?php
namespace Catequil\Authentication\Form;

use Laminas\Form\Form;

/**
 * Class LoginForm
 *
 * @package Catequil\Authentication\Form
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/autokreso/catequil
 */
class LoginForm extends Form
{
    public function init()
    {
        $this->add([
            'type' => 'text',
            'name' => 'email',
            'options' => [
                'label' => 'E-mail adresa',
            ],
        ]);

        $this->add([
            'type' => 'password',
            'name' => 'password',
            'options' => [
                'label' => 'Lozinka',
            ],
        ]);

        $this->add([
            'type' => 'submit',
            'name' => 'submit',
            'options' => [
                'label' => 'Prijava',
            ],
        ]);
    }
}
